using System;

namespace Nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            char c1, c2;
            int a1, a2;
            string[] ulaz = new string[2];
            ulaz[0] = Console.ReadLine();
            c1 = ulaz[0][0];
            c2 = ulaz[0][1];
            ulaz = Console.ReadLine().Split();
            a1 = int.Parse(ulaz[0]);
            a2 = int.Parse(ulaz[1]);
            if(Math.Abs(a1 - a2) > 1)
            {
                Console.WriteLine("nemoguce");
            }
            else
            {
                string finalni_string = "";
                string dodatak = "";
                if(a1 > a2)
                {
                    dodatak += c1;
                    dodatak += c2;
                    for (int i = 0; i < a2; i++) finalni_string += dodatak;
                    finalni_string += c1;
                }
                else if(a1 == a2) 
                {
                    dodatak += c1;
                    dodatak += c2;
                    for (int i = 0; i < a1; i++) finalni_string += dodatak;
                }
                else
                {
                    dodatak += c2;
                    dodatak += c1;
                    for (int i = 0; i < a1; i++) finalni_string += dodatak;
                    finalni_string += c2;
                }
                Console.WriteLine(finalni_string);
            }
        }
    }
}